# Choose the Slack channel cost alerts post to, or stop posting them

Source: https://docs.levelfour.ai/api-reference/accounts/put-accounts-slack-alerts-channel


## PUT /api/v1/accounts/slack/alerts-channel

### Authentication

Send `Authorization: Bearer <token>`.

### Request body

Required. Content type `application/json`.

- `channel_id` (string, nullable): A public or private channel id, or null for no default

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `channel` (object, nullable, required): The channel a new cost alert starts with, or null when there is no default
    - `id` (string, required)
    - `name` (string, required)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
